<?php
namespace SabaiApps\Framework\Criteria;

/**
 * EmptyCriteria class representing an empty criteria.
 * Always evaluates as empty and supports the visitor pattern.
 */
class EmptyCriteria extends AbstractCriteria {

	/**
	 * Checks if the criteria is empty.
	 *
	 * @return bool Always returns true.
	 */
	public function isEmpty() {
		return true;
	}

	/**
	 * Accepts a Visitor object for traversing or evaluating the empty criteria.
	 *
	 * @param IVisitor $visitor Visitor object.
	 * @param mixed    $valuePassed Value to pass to the visitor.
	 * @return mixed
	 */
	public function acceptVisitor( IVisitor $visitor, &$valuePassed ) {
		return $visitor->visitCriteriaEmpty( $this, $valuePassed );
	}
}
